Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_get_serializer_factory

## Name

librdf_get_serializer_factory -- Get a serializer factory by name

## Synopsis

``librdf_serializer_factory* `librdf_get_serializer_factory`` (librdf_world * `world`, const char * `name`, const char * `mime_type`, librdf_uri * `type_uri`);`

## Arguments

`world`

  redland world object

`name`

  the name of the factory (NULL or empty string if don't care)

`mime_type`

  the MIME type of the syntax (NULL or empty string if not used)

`type_uri`

  URI of syntax (NULL if not used)

## Description

If all fields are NULL, this means any parser supporting MIME Type "application/rdf+xml"

## Return value

the factory or NULL if not found

<<< Previous | Home | Next >>>
librdf_serializer_register_factory | Up | librdf_new_serializer